.roadmap {
  position: relative;

  &::before {
    content: "";
    position: absolute;
    top: -30px;
    width: 60px;
    height: 90%;
    background: var(--darkgray);
    z-index: -2;
  }

  &::after {
    content: "";
    position: absolute;
    top: -25px;
    left: 30px;
    width: 3px;
    height: 100%;
    background-color: white;
    z-index: -1;
  }
}

.milestone {
  display: grid;
  place-items: center;
  grid-gap: 0.25rem;
  grid-template-columns: 1fr 1fr 60%;
  margin: 2rem 1rem;
  border: 1px solid var(--darkgray);
  padding: 1rem;
  background-image: repeating-linear-gradient(
    45deg,
    #ddd,
    #ddd 2px,
    transparent 2px,
    transparent 10px
  );
  background-size: 20px 20px;
  background-color: var(--lightgray);
  border-radius: 1rem;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  z-index: -1;
}

.card {
  background-color: var(--mustard);
  border: 1px solid #ccc;
  padding: 0.5rem 1rem;
  font-size: 1.2rem;
  border-radius: 5px;
  text-align: center;
  width: 150px;
  grid-column: 1 / 3;
}

.core {
  grid-column: 3 /4;
  grid-row: 1/4;
  background-color: #000;
  color: #fff;
  font-size: 1.1rem;
  padding: 1rem;
}
